/*
 *	@(#)59  1.3  stubs.c, scosys, sco_3.0 3/20/95 16:36:43, SecureWare, Inc.
 *	Copyright (c) 1994-95
 *	All rights reserved.
 */
/*
 *	@(#)59  1.1  uts/i386/master.d/tnet/stubs.c, sco, sco_3.0 11/4/94 17:13:33, SecureWare, Inc.
 *	Copyright (c) 1994
 *	All rights reserved.
 */

/*
 * This file contains the stubs for the networking routines that are called
 * by the sec and spd drivers.
 */

#include "sys/types.h"
#include "sys/socket.h"
#include "sys/stream.h"
#include "sys/net/if.h"
#include "sys/net/route.h"
#include "sys/netinet/in.h"
#include "sys/netinet/in_var.h"
#include "sys/netinet/ip_str.h"
#include "sys/tihdr.h"
#include "sys/cmn_err.h"

struct ip_provider *provider, *lastprov;
struct qinit sockrdata;
struct streamtab tcpinfo;
struct T_data_ind tcp_data_ind;
mblk_t *rthost[1], *rtnet[1];

static int
tnet_panic(function)
	char *function;
{
	cmn_err(CE_PANIC, "tnet driver: illegal invocation of %s()\n", function);
}

u_long
htonl()
{
	tnet_panic("htonl");
}

u_short
htons()
{
	tnet_panic("htons");
}

icmp_error()
{
	tnet_panic("icmp_error");
}

in_ouraddr()
{
	tnet_panic("in_ouraddr");
}

in_pcbdisconnect()
{
	tnet_panic("in_pcbdisconnect");
}

in_pcbsetaddr()
{
	tnet_panic("in_pcbsetaddr");
}

in_pcbbind()
{
        tnet_panic("in_pcbbind");
}

inpisconnected()
{
	tnet_panic("inpisconnected");
}

ip_dooptions()
{
	tnet_panic("ip_dooptions");
}

ip_forward()
{
	tnet_panic("ip_forward");
}

ip_output()
{
	tnet_panic("ip_output");
}

u_long
ntohl()
{
	tnet_panic("ntohl");
}

u_short
ntohs()
{
	tnet_panic("ntohs");
}

rip_state()
{
	tnet_panic("rip_state");
}

rtalloc()
{
	tnet_panic("rtalloc");
}

rtfree()
{
	tnet_panic("rtfree");
}

sowakeup()
{
	tnet_panic("sowakeup");
}

tcp_state()
{
	tnet_panic("tcp_state");
}

udp_state()
{
	tnet_panic("udp_state");
}

in_freeb()
{
	tnet_panic("in_freeb");
}

mblk_t *in_allocb()
{
	tnet_panic("in_allocb");
}
